elementtree :: ElementTree :: TreeBuilder :: Class TreeBuilder |
[frames] | no frames]

# Class TreeBuilder

source code

    object --+
             |
            TreeBuilder

Instance Methods
__init__(self, element_factory=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
close(self) | source code
data(self, data) | source code
end(self, tag) | source code
start(self, tag, attrs) | source code
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, element_factory=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)